My Account | Internet Creations
Welcome, Guest.

Critical Update affecting Case Flags - January 2020

Summary

On January 3, 2020, Salesforce is pushing out a critical update called "Require Customize Application Permission for Direct Read Access to Custom Settings," which will directly impact Visualforce pages and Lightning Components that make references to custom settings. This change impacts explicitly Case Flags (version 4.67 or older), where direct references exist between the Case Flags Lightning Component and Case Flags custom settings.

Details

With the Require Customize Application Permission for Direct Read Access to Custom Settings critical update enabled, those running version 4.67 or older of Case Flags may encounter an error similar to the following when loading a case.



Note: The error shown above would only occur for those utilizing the Case Flags Lightning Component on their Case page layout.

Internet Creations will be performing a push upgrade to get the latest version of Case Flags (4.68) pushed out automatically to all customers on January 3. Once the most recent version is installed, this error should no longer occur.

To learn more about this Salesforce critical update, see the following knowledge article.
To learn more about recent changes made to Case Flags, please see our Release Notes.

Support

Open a Case